'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _places = require('./places');

var _places2 = _interopRequireDefault(_places);

var Places = {
  /**
   * Your config should look like this
   *
   * @type {Object}
   *
   * let config = {
   *   key: API_KEY
   * };
   */
  create: function create() {
    var config = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

    // Check that the config was passed before creating the object
    if (Object.is(undefined, config.key)) {
      throw new Error('API key missing from config.');
    }

    return (0, _places2['default'])(config);
  }
};

exports['default'] = Places;
module.exports = exports['default'];