'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = request;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _requestPromise = require('request-promise');

var _requestPromise2 = _interopRequireDefault(_requestPromise);

var baseUrl = 'https://maps.googleapis.com/maps/api/place';
var statusErrors = ['OVER_QUERY_LIMIT', 'REQUEST_DENIED', 'INVALID_REQUEST'];

function handleSuccess(res) {
  if (statusErrors.indexOf(res.status) !== -1) {
    throw Object.is(undefined, res.error_message) ? res.status : res.error_message;
  }

  return res;
}

function request(endpoint, params) {
  var method = arguments.length <= 2 || arguments[2] === undefined ? 'GET' : arguments[2];

  return (0, _requestPromise2['default'])({
    uri: '' + baseUrl + endpoint + '/json',
    method: method,
    qs: params,
    json: true
  }).then(handleSuccess);
}

module.exports = exports['default'];